<template functional>
  <div
    :ref="data.ref"
    class="has-dropdown group z-50"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <span
      class="block relative font-medium tracking-wide uppercase cursor-default"
    >
      <slot />
      <!--chevron-down-icon.svg-->
      <svg
        class="inline-block h-6 w-6"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
        fill="none"
        stroke="currentColor"
        stroke-width="1"
        stroke-linecap="round"
        stroke-linejoin="round"
      >
        <path d="M6 9l6 6 6-6" />
      </svg>
      <!--chevron-down-icon.svg-->
    </span>
    <div
      class="navbar-dropdown flex flex-col lg:hidden lg:group-hover:flex lg:absolute lg:px-4 lg:py-3 lg:shadow-xs"
      style="background-color: var(--navbar-bg-color)"
    >
      <slot name="items" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'NavbarDropdownItem',
};
</script>
